package com.qxgmat.dto.response;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserCollectQuestion;
import com.qxgmat.dto.extend.QuestionExtendDto;
import com.qxgmat.dto.extend.QuestionNoExtendDto;

import java.util.Date;

@Dto(entity = UserCollectQuestion.class)
public class UserCollectQuestionDto {
    private Integer id;

    private QuestionExtendDto question;

    private QuestionNoExtendDto questionNo;

    private Date createTime;

    private Integer userTime;

    private Integer avgTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public QuestionExtendDto getQuestion() {
        return question;
    }

    public void setQuestion(QuestionExtendDto question) {
        this.question = question;
    }

    public QuestionNoExtendDto getQuestionNo() {
        return questionNo;
    }

    public void setQuestionNo(QuestionNoExtendDto questionNo) {
        this.questionNo = questionNo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getAvgTime() {
        return avgTime;
    }

    public void setAvgTime(Integer avgTime) {
        this.avgTime = avgTime;
    }

    public Integer getUserTime() {
        return userTime;
    }

    public void setUserTime(Integer userTime) {
        this.userTime = userTime;
    }
}
